/*=============== GOOGLE FONTS ===============*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");

/*=============== VARIABLES CSS ===============*/
:root {
  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  /*
      Blue: hsl(207, 90%, 61%)
      Purple: hsl(250, 66%, 75%)
      Pink: hsl(356, 66%, 75%)
      Teal: hsl(174, 63%, 62%)
  */

  --hue: 207;
  --sat: 90%;
  --lig: 61%;
  --first-color: hsl(var(--hue), var(--sat), var(--lig));
  --first-color-alt: hsl(var(--hue), var(--sat), 57%); /* -4% */
  --title-color: hsl(var(--hue), 12%, 15%);
  --text-color: hsl(var(--hue), 12%, 45%);
  --text-color-light: hsl(var(--hue), 8%, 75%);
  --text-color-lighten: hsl(var(--hue), 8%, 92%);
  --body-color: hsl(var(--hue), 100%, 99%);
  --container-color: #fff;

  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: 'Poppins', sans-serif;
  --h2-font-size: 2.25rem;
  --h3-font-size: 1rem;
  --normal-font-size: .938rem;
  --small-font-size: .813rem;
  --smaller-font-size: .75rem;
}

@media screen and (min-width: 968px) {
  :root {
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: 1rem;
    --small-font-size: .875rem;
    --smaller-font-size: .813rem;
  }
}

/*=============== BASE ===============*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}
body {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  transition: .3s; /* For animation dark mode */
  background-color: #5B8FB9;
}
h2{
  font-size: 3rem;
}

h1, h2, h3 {
  color: black;
  font-weight: 600;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
}

p{
  color: black;
}

/*========== Variables Dark theme ==========*/

/*========== 
    Color changes in some parts of 
    the website, in light theme
==========*/
.dark-theme .button__gray{
  background-color: var(--container-color);
}

.dark-theme .button__gray:hover{
  background-color: hsl(var(--hue), 24%, 16%);
}

.dark-theme .filters__content{
  background-color: var(--container-color);
}

.dark-theme::-webkit-scrollbar{
  background-color: hsl(var(--hue), 8%, 16%);
}

.dark-theme::-webkit-scrollbar-thumb{
  background-color: hsl(var(--hue), 8%, 24%);
}

.dark-theme::-webkit-scrollbar-thumb:hover{
  background-color: hsl(var(--hue), 8%, 32%);
}
/*=============== REUSABLE CSS CLASSES ===============*/
.container {
  max-width: 968px;
  margin-left: 1.5rem;
  margin-right: 1.5rem;
}

.grid {
  display: grid;
  gap: 1.5rem;
}


/*=============== FILTERS TABS ===============*/
.filters__content{
  margin: 2rem 0 2.5rem;
  background-color: var(--text-color-lighten);
  padding: .375rem;
  border-radius: .75rem;
  display: flex;
  justify-content: space-between;
  column-gap: .5rem;

}

.filters__content:hover{
  background-color: crimson;;
}

.filters__button{
  width: 100%;
  border: none;
  outline: none;
  padding: 1rem;
  color: var(--title-color);
  font-size: 1rem;
  font-family: var(--body-font);
  font-weight: 500;
  border-radius: .75rem;
  cursor: pointer;
  background-color: transparent;
  transition: .3s;
}

.filters__button:hover{
  background-color: var(--body-color);
}

/*=============== PROJECTS ===============*/
.projects__card{
  position: relative;
  border-radius: 1rem;
  overflow: hidden;
}

.projects__card img{
  width: 100%;
  height: 100%;

}

.projects__modal{
  position: absolute;
  width: 100%;
  height: 100%;
  bottom: -100%;
  left: 0;
  background: linear-gradient(180deg,
              hsla(var(--hue), 24%, 40%, .3) 0%
              hsla(var(--hue), 24%, 4%, 1) 95%);

  display: grid;
  align-items: flex-end;
  padding: 1.5rem 1.25rem;
  transition: .3s;
}

.projects__subtitle{
  font-size: .75rem;
  color: black;

}

.projects__title{
  font-size: 1rem;
  color: black;
  margin-bottom: 0.1rem;
}

.projects__button{
  padding: .5rem;
}

.projects__card:hover .projects__modal{
  bottom: 0;
}

/*=============== SKILLS ===============*/
.skills__content{
  row-gap: 3.5rem;
}

.skills__title{
  font-size: 1rem;
  text-align: center;
  margin-bottom: 1.5rem;

}

.skills__box{
  display: flex;
  justify-content: center;
  column-gap: 3rem;
}

.skills__group{
  display: grid;
  align-content: flex-start;
  row-gap: 1rem;
}

.skills__data{
  display: flex;
  column-gap: .5rem;
}

.skills__data i{
  font-size: 1rem;
  color: var(--first-color);
}
.skills__name{
  font-size: .938rem;
  font-weight: 500;
  line-height: 16px;
}

.skills__level{
  font-size: .75rem;
}
/* Hide and show projects & skills */
.filters [data-content]{
  display: none;

}

.filters__active[data-content]{
  display: grid;
}

/* Activate button filter */
.filters-tab-active{
  background-color: var(--body-color);
}


/*=============== BREAKPOINTS ===============*/
/* For small devices */
@media  screen and (max-width: 320px) {
  .container{
    margin-left: 1rem;
    margin-right: 1rem;
  }

  .profile__buttons{
    flex-direction: column;
    row-gap: 1rem;
  }
  .skills__box{
    column-gap: 1rem;
  }
}

/* For medium devices */
@media screen and (min-width: 576px) {
  .projects__content{
    grid-template-columns: 332px;
    justify-content: center;
  }
  .filters__content{
    width: 332px;
    margin: 3rem auto;
  }
}


@media screen and (min-width: 776px){
  .projects__content,
  .skills__content{
    grid-template-columns: repeat(2, 332px);
  }

  .skills__content{
    justify-content: center;
    column-gap: 3rem;
  }
  
}

/* For large devices */
@media screen and (min-width: 992px) {
  .container{
    margin-left: auto;
    margin-right: auto;
  }

  .change-theme{
    top: 2.5rem;
    right: 2.5rem;
  }

  .projects__content{
    gap: 2rem 3rem;
  }
  .projects__modal{
    padding: 1.5rem;
  }

  .skills__title{
    font-size: .938rem;
    margin-bottom: 2.5rem;
  }
}